#!/bin/sh -x

set -e

SENDER="$(dig -x ${SENDER_IP})"
CLUSTER="$(echo ${SENDER} | awk -F. '{ print $(NF-2)"."$(NF-1)"."$NF }' )"
SERVICE="$(echo ${SENDER} | grep ${CLUSTER})"

echo "Service: ${SERVICE}."

# check if the same cluster
if [ -z ${SERVICE} ]
then
	echo "Permission denied."
	exit 1
fi
